- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

_swizzle_base2 Struct Reference

Inherits _swizzle_base1< ValueType, VecType, E0, E1, E2, E3, N >.

List of all members.

## Detailed Description

Internal class for implementing swizzle operators.

Template parameters:

ValueType = type of scalar values (e.g. float, double) VecType = class the swizzle is applies to (e.g. tvec3<float>) N = number of components in the vector (e.g. 3) E0...3 = what index the n-th element of this swizzle refers to in the unswizzled vec

DUPLICATE_ELEMENTS = 1 if there is a repeated element, 0 otherwise (used to specialize swizzles containing duplicate elements so that they cannot be used as r-values).